#!/usr/bin/perl -w

print "\n\n";
print "=================================\n";
print " project: Sauron DNS import\n";
print " script:  prepare_import_DNS4.pl\n";
print " version: 1.0\n";
print "=================================\n\n";

print "Converting HINFO records ...\n";

&convert_file("DNS_IMPORT/DB-ZONE.NEW");
&convert_file("DNS_IMPORT/bootptab-cheb-dns");
&convert_file("DNS_IMPORT/bootptab-cheb-rev");
&convert_file("DNS_IMPORT/db.fek.zcu.cz");
&convert_file("DNS_IMPORT/db.igzh.cas.cz");
&convert_file("DNS_IMPORT/db.pef.zcu.cz");
&convert_file("DNS_IMPORT/db.zcu.cz");

print " ... completed\n";

print "\n\nEnd of script\n\n";

sub convert_file{
  my @filenames = @_;
  foreach(@filenames){
    $filename = $_;
    print "  $filename\n";
    `perl convert_hinfo.pl \<$filename \>$filename.temp`;
    `mv $filename.temp $filename`;
  }
}
