#!/usr/bin/perl -w
#
#=================================
# project: Sauron DHCP import
# script:  pool_ranges.pl
# version: 1.0\n";
#
# Vypise seznam rozsahy ip-adres
# jednotlivych poolu. V prvnim
# sloupci je cislo segmentu,
# ve druhem dolni mez a ve tretim
# horni mez poolu.
#================================
#
while(<>) {
  if ($_ =~ /^\s*range\s/){
    $pom = $';
    $pom =~ /\s\s*/;
    $first = $`;
    $second = $';
    
    $first =~ /[0-9]{1,3}\.[0-9]{1,3}\./;
    $pom = $';
    $pom =~ /^[0-9]{1,3}/;
    $segment = $&;
    
    $first =~ /[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\./;
    $pom = $';
    $pom =~ /^[0-9]{1,3}/;
    $from = $&;
    
    $second =~ /[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\./;
    $pom = $';
    $pom =~ /^[0-9]{1,3}/;
    $to = $&;
    print "$segment\t$from\t$to\n";
  }
}
