#!/usr/bin/perl -w
#
#=================================
# project: Sauron DHCP import
# script:  add_sharednet.pl
# version: 1.0\n";
#
# Pridani tagu "shared-network"
# kolem vsech zaznamu vyjma
# globalniho nastaveni
#=================================
#

@lines = <>;

#likvidace odsazeni radky
foreach(@lines){
  $line = $_;
  $line =~ /^[\s]*/;
  $line = $';
  if (($line =~ /^#.*/) == 0){
    push @lines2, $line;
  }
} #foreach
@lines = @lines2;

#pridani "shared-network"

@lines2 = ();
$subnets = 0;
foreach(@lines){
  if ($_ =~ /^subnet\s*.*{\s*$/){
    $subnets++;
    if ($subnets == 1) {
      push @lines2, "shared-network \"webnet\" {\n";
    }
  }
  push @lines2, $_;
} #foreach
push @lines2, "}\n";  #ukoncovaci zavorka pro shared network
@lines = @lines2;      


#vygenerovani spravneho odsazeni
#
@lines2 = ();
$n_open = 0;
foreach(@lines){
  $line = $_;
  if ($line =~ /[^}]*}[^}]*/){
    $n_open--;
  }
  $odsaz = "";
  for($i=1;$i<=$n_open;$i++){
    $odsaz = $odsaz."  ";
  }
  push @lines2, "$odsaz$line";
  if ($line =~ /[^{]*{[^{]*/){
    $n_open++;
  }
  #print "nopen = $n_open\n";
} #foreach
@lines = @lines2;

#vypis vysledku
foreach(@lines){
  print $_;
}
                                  
