#! /usr/bin/perl -w
#

#=================================
# project: Sauron DHCP import
# script:  modify_use_host_name.pl
# version: 1.0\n";
#
# Provede nahradu prikazu
# use-host-decl-names on;
# 
#================================
#

$n_open = 0;

@lines = <>;
@lines2 = ();

#likvidace odsazeni radky
foreach(@lines){
  $line = $_;
  $line =~ /^[\s]*/;
  $line = $';
  if (($line =~ /^#.*/) == 0){
    push @lines2, $line;
  }
} #while
@lines = @lines2;

#odstraneni vnorenych skupin ze skupin level1
@output = ();
$open_groups = 0;
$open_brackets = 0;
@groups_brackets = (0, 0, 0, 0, 0);
$host_open = 0;
$host_open_brackets = 0;
$domain = "";
$modify_lines = 0;
foreach(@lines){
 $useline = 1;
 $line = $_;
 if ($line =~ /{/){
   $open_brackets++;
   #print "open = $open_brackets\n";
   if ($line =~ "^group"){
     $groups_brackets[$open_groups] = $open_brackets;
     $open_groups++;
     $domain = "zcu.cz";
     $modify_lines = 0;
   }
 }
 if ($line =~ /^host\s*.*/){
   $host_open = 1;
   $host_open_brackets = $open_brackets;
   $line =~ /^host\s[\s]*/;
   $pom = $';
   $pom =~ /[\s]*{[\s]*/;
   $host_name = $`;
   # print "HOST = $host_name\n";
 }

 if ($line =~ /use-host-decl-names on;/){
   $modify_lines = 1;
   $useline = 0;
   # push @output, "AAA\n";
 }

 if ($line =~ /option domain-name[\s][\s]*/){
   $line =~ /option domain-name[\s][\s]*"/;
   $pom = $';
   $pom =~ /[^"]*/;
   $domain = $&;
 }

 if ($line =~ "}"){
   if (($open_brackets == $groups_brackets[$open_groups-1]) && ($open_groups>0)){
      $open_groups--;
   }
   if ($host_open_brackets == $open_brackets){
     $host_open = 0;
     #push @output, "BBB $modify_lines\n";
     if ($modify_lines == 1){
       push @output, "option host-name \"$host_name.$domain\"\n";
     }
   }
   $open_brackets--;
 }
 if ($useline == 1){
   push @output, $line;
 }
}
@lines = @output;

#vygenerovani spravneho odsazeni
#
@lines2 = ();
foreach(@lines){
  $line = $_;

    if ($line =~ /[^}]*}[^}]*/){
      $n_open--;
    }
    $odsaz = "";
    for($i=1;$i<=$n_open;$i++){
      $odsaz = $odsaz."  ";
    }
    push @lines2, "$odsaz$line";

    if ($line =~ /[^{]*{[^{]*/){
      $n_open++;
    }
    #print "nopen = $n_open\n";
} #foreach
@lines = @lines2;

#vypis vysledku
foreach(@lines){
  print $_;
}


  
